Subject: RE: I-D Action: draft-ietf-6man-enhanced-dad-01.txt

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Mon, 5 Nov 2012 16:07:01 +0000

6man Chairs,

Here is an update the chairs can give to the 6man meeting at the Atlanta IETF.  I and Wes Beebee resolved all issues with Ray Hunter except one.  The receive section of the algorithm has been tweaked to satisfy Ray Hunter.  Then one pending issue caused the document to not be updated for the next submission.  After this November IETF we will schedule a Webex with the authors and discuss the last issue.  

The issue is that we'd like a common algorithm to deal with the deliberate loopback circuit test where the algorithm does not suppress subsequent DAD probes if the first DAD probe is detected to be looped back.  The algorithm also has to support the access concentrator (CMTS or DSLAM+BNG) deployment model where a SP may want subsequent DAD probes to be suppressed on detecting the first probe to be looped back - the reason being that the access concentrator is a trusted node in the deployment while the cable or DSL modems the access concentrator serves reside in an un-trusted domain.  Thus the access concentrator does support the ability to shutdown the modem that caused the unexpected loopback.  

Thanks and best regards,

Hemant

-----Original Message-----
From: Bob Hinden [mailto:[email-masked]] 
Sent: Friday, September 21, 2012 10:25 PM
To: Hemant Singh (shemant)
Cc: Bob Hinden; Ole Trøan; Wes Beebee (wbeebee)
Subject: Re: I-D Action: draft-ietf-6man-enhanced-dad-01.txt

Hemant,

Thanks for the update.

Bob

On Sep 21, 2012, at 6:53 PM, Hemant Singh (shemant) wrote:

> Ole & Bob,
> 
> Wes and I could talk with Ray Hunter in a Webex session on Thurdays and understood his issues.  He had two issues.  Once issue is resolved which was to tighten text in the Receiver section of the Enhanced DAD algorithm - that text change is done and I will run it by Ray on Monday. Once we have agreement, we will show the changed text to 6man.
> 
> The other issue he raised will need more time to work out.  This issue is to not suppress any more DAD probes if a looped back probe is detected.  Thus some more details have to be added to the algorithm.  Thus we are not ready for any LastCall just yet.
> 
> When both issues are resolved, we will post a -02 for review in 6man and take it from there.
> 
> Thanks and regards,
> 
> Hemant
> 
> -----Original Message-----
> From: Hemant Singh (shemant) 
> Sent: Friday, September 14, 2012 7:29 PM
> To: Ole Trøan; Bob Hinden
> Cc: Hemant Singh (shemant); Wes Beebee (wbeebee)
> Subject: FW: I-D Action: draft-ietf-6man-enhanced-dad-01.txt
> 
> Chairs,
> 
> I have incorporated Eli's (co-author) comments in a -02 version.
> 
> This is what is delaying the publication of a -02 version of the enhanced-dad document.  WesB and I could not understand all of Ray's issues totally and thus I requested to schedule a Webex with Ray.  Ray Hunter has posted some comments to 6man on this document.  Hopefully we can talk late next week and once WesB and I have understood Ray's issues, we will let 6man know and change any text, if needed and then post the -02 shortly thereafter.
> 
> Regards,
> 
> Hemant
>